/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: Protocol.java 2438 2010-02-24 16:20:30Z benoitf $
 * --------------------------------------------------------------------------
 */

/**
 *
 */
package org.ow2.cmi.controller.server;

import java.rmi.Remote;

import javax.naming.Context;

import org.ow2.cmi.reference.ServerId;

/**
 * @author Loris Bouzonnet
 */
public final class Protocol {

    private final String initialContextFactory;

    private final ServerId localRegistry;

    private final Remote clientClusterViewProvider;

    private final Context cmiContext;

    /**
     * @param initialContextFactory
     * @param localRegistry
     * @param clientClusterViewProvider
     * @param cmiContext
     */
    public Protocol(final String initialContextFactory, final ServerId localRegistry,
            final Remote clientClusterViewProvider, final Context cmiContext) {
        this.initialContextFactory = initialContextFactory;
        this.localRegistry = localRegistry;
        this.clientClusterViewProvider = clientClusterViewProvider;
        this.cmiContext = cmiContext;
    }

    /**
     * @return the initialContextFactory
     */
    public String getInitialContextFactory() {
        return initialContextFactory;
    }

    /**
     * @return the localRegistry
     */
    public ServerId getLocalRegistry() {
        return localRegistry;
    }

    /**
     * @return the clientClusterViewProvider
     */
    public Remote getClientClusterViewProvider() {
        return clientClusterViewProvider;
    }

    /**
     * @return the cmiContext
     */
    public Context getCmiContext() {
        return cmiContext;
    }

}
